api-reference/openapi.yml.
create-entity
Endpoint:POST /v1/entitiesSchema:
CreateEntityRequestSchemaBody:
application/json
Schema (OpenAPI-style, abridged)
{
"type": "object",
"additionalProperties": false,
"required": ["name"],
"properties": {
"id": "string",
"name": "string",
"viewPermission": "string[]",
"registerUserRoles": "boolean",
"legalContractId": "string",
"parameters": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"required": ["label", "type"],
"properties": {
"name": "string",
"label": "string",
"type": {
"type": "string",
"enum": [
"ATTACHMENT",
"IMAGE",
"SIGNATURE",
"CHECKBOX",
"COMPUTED",
"COMPUTED_NUMBER",
"COMPUTED_TEXT",
"CPF",
"TIME",
"USER",
"URL",
"HTML",
"CEP",
"CPFCNPJ",
"CNPJ",
"DATE",
"DATETIME",
"EMAIL",
"NUMBER",
"PHONE",
"RADIO",
"SELECT",
"TEXT",
"TEXTAREA",
"TOGGLE",
"CURRENCY",
"LOCATION",
"PERCENTAGE",
"ENTITY_RELATION",
"PDF_RENDERER"
]
},
"isUnique": "boolean",
"isRequired": "boolean",
"policyNames": "string[]",
"entityRelationAuxParamIds": "string[]",
"entityId": "string",
"entityRelationId": "string",
"computedFormula": "string[]",
"optionItems": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"required": ["value"],
"properties": {
"value": "string",
"label": "string",
"color": "string",
"meta": "object",
"persisted": "boolean"
}
}
},
"advancedOptions": {
"type": "object",
"additionalProperties": false,
"properties": {
"tooltip": "string",
"description": "string",
"placeholder": "string",
"max": "number",
"maxLength": "number",
"min": "number",
"minLength": "number",
"decimals": "number",
"sort": "number",
"currency": "string",
"locale": "string",
"isHidden": "boolean",
"hiddenFrom": "string[]",
"isMultiple": "boolean",
"dateFormat": {
"type": "string",
"enum": [
"dd/MM/yyyy",
"MM/yyyy",
"MM/dd/yyyy",
"yyyy-MM-dd",
"yyyy-MM-dd HH:mm",
"dd/MM/yyyy HH:mm",
"yyyy-MM-dd HH:mm:ss"
]
}
}
}
}
}
}
}
}
update-entity
Endpoint:PATCH /v1/entities/{id}Schema:
UpdateEntityRequestSchemaPath params:
- id:
string(required)
application/json
Schema (OpenAPI-style, abridged)
{
"type": "object",
"additionalProperties": false,
"required": ["name"],
"properties": {
"id": "string",
"name": "string",
"viewPermission": "string[]",
"registerUserRoles": "boolean",
"legalContractId": "string",
"parameters": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"required": ["label", "type"],
"properties": {
"name": "string",
"label": "string",
"type": {
"type": "string",
"enum": [
"ATTACHMENT",
"IMAGE",
"SIGNATURE",
"CHECKBOX",
"COMPUTED",
"COMPUTED_NUMBER",
"COMPUTED_TEXT",
"CPF",
"TIME",
"USER",
"URL",
"HTML",
"CEP",
"CPFCNPJ",
"CNPJ",
"DATE",
"DATETIME",
"EMAIL",
"NUMBER",
"PHONE",
"RADIO",
"SELECT",
"TEXT",
"TEXTAREA",
"TOGGLE",
"CURRENCY",
"LOCATION",
"PERCENTAGE",
"ENTITY_RELATION",
"PDF_RENDERER"
]
},
"isUnique": "boolean",
"isRequired": "boolean",
"policyNames": "string[]",
"entityRelationAuxParamIds": "string[]",
"entityId": "string",
"entityRelationId": "string",
"computedFormula": "string[]",
"optionItems": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"required": ["value"],
"properties": {
"value": "string",
"label": "string",
"color": "string",
"meta": "object",
"persisted": "boolean"
}
}
},
"advancedOptions": {
"type": "object",
"additionalProperties": false,
"properties": {
"tooltip": "string",
"description": "string",
"placeholder": "string",
"max": "number",
"maxLength": "number",
"min": "number",
"minLength": "number",
"decimals": "number",
"sort": "number",
"currency": "string",
"locale": "string",
"isHidden": "boolean",
"hiddenFrom": "string[]",
"isMultiple": "boolean",
"dateFormat": {
"type": "string",
"enum": [
"dd/MM/yyyy",
"MM/yyyy",
"MM/dd/yyyy",
"yyyy-MM-dd",
"yyyy-MM-dd HH:mm",
"dd/MM/yyyy HH:mm",
"yyyy-MM-dd HH:mm:ss"
]
}
}
}
}
}
}
}
}
delete-entity
Endpoint:DELETE /v1/entities/{id}Path params:
- id:
string(required)